Skip to main content
PUT
Update Payment Request

Headers

X-BUSINESS-API-KEY
string
required
Example:

"b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d"

Path Parameters

request_id
string
required

It's payment request id

Body

application/json
amount
number<double>
required

It's required field. Amount related to the payment.

Required range: 0.3 <= x <= 999999999.99
Example:

100

currency
string
required

Currency related to the payment.

Maximum string length: 3
Example:

"SGD"

payment_methods
string[]

Payment method type (paynow_online , card, wechat, alipay, grabpay_direct, grabpay_paylater, shopee_pay, zip, fpx). If we don't pass, use the available methods

email
string<email>

Buyer’s email

name
string

Buyer’s name

phone
string<phone>

Buyer’s phone number

wifi_terminal_id
string

It's terminal id and it's required if payment method is wifi_card_reader

staff_id
string<uuid>

It's active staff id from the dashboard

Example:

"98888a24-d6b2-430d-9063-d2be76d443cd"

purpose
string

Purpose of the Payment request.

Maximum string length: 255
reference_number
string

Arbitrary reference number that you can map to your internal reference number. This value cannot be edited by the customer

Maximum string length: 255
redirect_url
string<uri>

URL where we redirect the user after a payment. Query arguments reference (payment request id) and status are sent along

Maximum string length: 1028
Example:

"https://www.google.com"

webhook
string<uri>

URL where our server do POST request after a payment If done

Example:

"https://www.google.com"

allow_repeated_payments
enum<string>
default:false

If set to true, multiple payments can be paid on a payment request link. Default value is false

Available options:
true,
false
expiry_date
string

Time after which the payment link will be expired(time in SG with YYYY-MM-DD HH:mm:ss format). Applicable for repeated payments. Default is Null

expires_after
string

E.g "30 mins" Other supported keys are "mins", "hours", "days"

Example:

"5 minutes"

add_admin_fee
enum<string>
default:false

If set to true, the admin fee will be included in total.

Available options:
true,
false
send_email
enum<string>
default:false

It's "true" or "false". If set to true, an email receipt will be sent to the customer after the payment is completed. Default is false

Available options:
true,
false
send_sms
enum<string>
default:true

It's "true" or "false". If set to "true", SMS will be sent to the customer after the payment is completed. Default is false

Available options:
true,
false
address
object
generate_qr
boolean
default:false

Only valid for payment methods: paynow_online, qrph_netbank, doku_qris and shopee_pay if generate_qr was true

Response

200 - undefined
Last modified on February 25, 2026